{{- if index .Values.ocFront.enabled }}
apiVersion: v1
kind: ConfigMap
metadata:
  name: front-config
data:
  config.json: |
    {
      "WORKSPACE_HOST": "{{ .Values.scheme }}://{{ .Values.host }}/workspace/oc",
      "WORKFLOW_HOST": "{{ .Values.scheme }}://{{ .Values.host }}/workflow/oc",
      "ITEM_HOST": "{{ .Values.scheme }}://{{ .Values.host }}/catalog/oc",
      "SCHEDULER_HOST": "{{ .Values.scheme }}://{{ .Values.host }}/scheduler/oc",
      "LOGS_HOST": "{{ .Values.scheme }}://{{ .Values.host }}/logs",
      "PEER_HOST": "{{ .Values.scheme }}://{{ .Values.host }}/peers/oc",
      "DATACENTER_HOST": "{{ .Values.scheme }}://{{ .Values.host }}/datacenter/oc",
      "COLLABORATIVE_AREA_HOST": "{{ .Values.scheme }}://{{ .Values.host }}/shared/oc",
      "HOST": "{{ .Values.scheme }}://{{ .Values.host }}/oc",
      "AUTH_HOST": "{{ .Values.scheme }}://{{ .Values.host }}/auth/oc"
    }
{{- end }}
